org.gjt.sp.jedit.search

## Class HyperSearchFileNode

- java.lang.Object
- - org.gjt.sp.jedit.search.HyperSearchFileNode

All Implemented Interfaces:
  HyperSearchNode

    public class HyperSearchFileNode
    extends java.lang.Object
    implements HyperSearchNode

HyperSearch results window.

### Field Summary

Fields
`java.lang.String` `path`
`boolean` `showFullPath`

### Constructor Summary

Constructors
Constructor and Description
`HyperSearchFileNode(java.lang.String path)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object compareObj)`
`Buffer` `getBuffer(View view)`
`int` `getCount()` Returns the result count.
`void` `goTo(EditPane editPane)`
`void` `setCount(int count)` Set the result count.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### path

    public java.lang.String path

#### showFullPath

    public boolean showFullPath

### Constructor Detail

#### HyperSearchFileNode

    public HyperSearchFileNode(java.lang.String path)

### Method Detail

#### getBuffer

    public Buffer getBuffer(View view)

Specified by:
  `getBuffer` in interface `HyperSearchNode`

#### goTo

    public void goTo(EditPane editPane)

Specified by:
  `goTo` in interface `HyperSearchNode`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object compareObj)

Overrides:
  `equals` in class `java.lang.Object`

#### getCount

    public int getCount()

Returns the result count.

Returns:
  the result count
Since:
  jEdit 4.3pre9

#### setCount

    public void setCount(int count)

Set the result count.

Parameters:
  `count` - the result count
Since:
  jEdit 4.3pre9